Countries

Get countries

get
Query parameters
RegionstringOptional

The region of the country.

SubregionstringOptional

The subregion of the country.

CodeAlpha2stringOptional

The code alpha 2 of the country.

CodeAlpha3stringOptional

The code alpha 3 of the country.

CodeNumericinteger · int32Optional

The code numeric of the country.

CodePhonestringOptional

The code phone of the country.

NamestringOptional

The name of the country.

CapitalstringOptional

The capital of the country.

CurrencystringOptional

The currency of the country.

TldstringOptional

The tld of the country.

NativestringOptional

The native of the country.

TagsstringOptional

The tags of the country.

KeywordsstringOptional

Filter by keywords.

SortDataFieldstringOptional

The sort data field to sort. By default, the value is ID.

SortOrderstring · enumOptional

Specifies the sorting order type for a collection.

Possible values:
PageNumberinteger · int32Optional

The page number of the pagination. Default value is 0.

PageSizeinteger · int32Optional

The page size of the pagination. Default value is 200.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

get
/api/v1/countries

Last updated